package com.qhtx.eta.domain.convert;

import com.qhtx.eta.domain.entity.QuotaInfoDTO;
import com.qhtx.eta.infra.entity.ods.EtaApiQuotaInfo;
import org.mapstruct.AfterMapping;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface EtaApiQuotaInfoConverter {
    EtaApiQuotaInfoConverter INSTANCE = Mappers.getMapper(EtaApiQuotaInfoConverter.class);

    List<EtaApiQuotaInfo> convertEntityToBoList(List<QuotaInfoDTO> quotaInfoList);


    EtaApiQuotaInfo convertEntityToBo(QuotaInfoDTO quotaInfoDTO);

    @AfterMapping
    default void setCreateDateTime(@MappingTarget EtaApiQuotaInfo etaApiQuotaInfo) {
        // 设置当前时间戳
//        etaApiQuotaInfo.setDataCreateTime(System.currentTimeMillis());
//        etaApiQuotaInfo.setDataUpdateTime(System.currentTimeMillis());
//        etaApiQuotaInfo.setIsDelete(0);
//        etaApiQuotaInfo.setIsQuality(0);
    }
}
